> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dojah.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Lookup NIN

> This endpoint allows you to Lookup BVN and get detailed information on the BVN Identity

<ParamField header="AppId" type="string" required>
  Application ID from dashboard
</ParamField>

#### Query parameter

<ParamField query="nin" type="string" required>
  National Identification Number
</ParamField>

#### RESPONSES

<ResponseField name="200" type="json">
  json
</ResponseField>

<ResponseField name="400" type="Object">
  <Expandable title="properties">
    <ResponseField name="error" type="string">
      error message
    </ResponseField>
  </Expandable>
</ResponseField>

<ResponseField name="401" type="Object">
  <Expandable title="properties">
    <ResponseField name="error" type="string">
      error message
    </ResponseField>
  </Expandable>
</ResponseField>

<ResponseExample>
  ```json 200 theme={null}
    {
              "entity": {
                  "first_name": "John",
                  "last_name": "Musa",
                  "gender": "Male",
                  "middle_name": "Doe",
                  "photo": "/9j/4AAQSkZJRgABAgAAAQABAAD/2wBDAAgGBgc...",
                  "date_of_birth": "1982-01-01",
                  "email": "abc@gmail.com",
                  "phone_number": "08012345678",
                  "employment_status": "unemployment",
                  "marital_status": "Single"
              }
          } 
  ```

  ```json 400 theme={null}
  {
    "error": "Invalid request parameters"
  }
  ```

  ```json 401 theme={null}
  {
    "error": "App Couldn't be Validated"
  }
  ```
</ResponseExample>
